Welcome, Guest. Please login or register.
Amiga Kit Amiga Store Iridium Banner AMIStore App Store A600 Memory

AuthorTopic: AmiSSL 4.0 for AmigaOS4/PPC and AmigaOS3/m68k released  (Read 231 times)

0 Members and 1 Guest are viewing this topic.

Offline cha05e90

Re: AmiSSL 4.0 for AmigaOS4/PPC and AmigaOS3/m68k released
« Reply #15 on: February 20, 2017, 08:02:31 AM »
Quote from: Thorham;821982
On AOS3 this doesn't work.


Of course it works. Just did that 3 days ago. But to be more precise Andy meant "the most recent version of AmigaOS Release 3" which translates to AmigaOS 3.9 (chances 3.5 would work as well are good). If your're still using an even more ancient version of AmigaOS, then it might not work (i.e. 3.1 or 3.0).
X1000|II/G4|440ep|2000/060|2000/040|1000
 

Offline kolla

Re: AmiSSL 4.0 for AmigaOS4/PPC and AmigaOS3/m68k released
« Reply #16 on: February 20, 2017, 09:11:56 AM »
The "save" was introduced in SetEnv v45.0 I think, rather quirky thing to add as it breaks compatibility and is not at all intuitive.

So, with 3.9 there was C:SetEnv, v45.0, but in addition there is the built-in resident SetEnv in shell. If I recall correctly, the SetEnv in the shell v44+ behaves like C:SetEnv 45.0, but only ThoR knows for sure.

I suppose C:SetEnv was made for those who for whatever reason, cannot update the kickstart with the ROM update, it is suggested to make C:SetEnv resident, by replacing the internal (v40) shell command:

Code: [Select]
Resident C:SetEnv PURE REPLACE
« Last Edit: February 20, 2017, 09:28:45 AM by kolla »
B5D6A1D019D5D45BCC56F4782AC220D8B3E2A6CC
 

Offline Thorham

Re: AmiSSL 4.0 for AmigaOS4/PPC and AmigaOS3/m68k released
« Reply #17 on: February 21, 2017, 09:21:04 AM »
Quote from: cha05e90;822474
Of course it works.
You're absolutely right. I should've mentioned that I meant 3.0 (and probably 3.1). On 3.0 it really does fail, though.
 

Offline Dandy

Re: AmiSSL 4.0 for AmigaOS4/PPC and AmigaOS3/m68k released
« Reply #18 on: March 07, 2017, 10:29:12 AM »
Quote from: Rotzloeffel;821764


As another side note: You can! you have to set the correct env-variable to be compatible with TLS1 :D

setenv save amissl/ssl_client_version tls1

and the show can go on... copy the env-variable from env:amissl/ to envarc:amissl/ to be available on each startup ....




Yes, and this is the related original news item from the IBrowse devs:
http://www.ibrowse-dev.net/news.php?id=1455900472
All the best,

Dandy

Website maintained by me

If someone enjoys marching to military music, then I already despise him. He got his brain accidently - the bone marrow in his back would have been sufficient for him! (Albert Einstein)